package net.benwilcock.service.logging.r20100601;

import javax.jws.WebService;
import com.sun.xml.ws.developer.*;

import net.benwilcock.service.logging.r20100601.*;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

@SchemaValidation()
@WebService(endpointInterface="net.benwilcock.service.logging.r20100601.LoggingPortDef",
		targetNamespace="http://r20100601.logging.service.benwilcock.net/",
		serviceName="LoggingService",
		portName="LoggingPort",
		wsdlLocation="WEB-INF/wsdl/20100601_logging_service.wsdl")
public class Logging implements  LoggingPortDef{
	
	//get a logger for this class.
	private static Log log = LogFactory.getLog(Logging.class);

	public String logMessage(String body) {
		
		//log that we are entering the method
		if(log.isDebugEnabled()){
			log.debug("Entering String testCapability("+body+")");
		}
		
		String reply = "You Said: ";
		
		if(body == null || body.equals(""))
		{
			reply = reply.concat("Nothing");
		}
		else{
			reply = reply.concat(body.toString());
		}
		
		//log that we are done.
		if(log.isDebugEnabled()){
			log.debug("Exiting String testCapability("+body+"): "+reply);
		}
		
		return reply;
	}
}
